Bug 527091 - Installer causes a number of popups when creating filesystems
Summary: Installer causes a number of popups when creating filesystems
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F12Blocker, F12FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2009-10-04 11:07 UTC by Robert Laverick
Modified: 2009-10-12 13:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 20:34:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of messages that occur (223.69 KB, image/png)
2009-10-04 11:07 UTC, Robert Laverick
no flags Details
ps -efw output (14.29 KB, text/plain)
2009-10-05 17:29 UTC, Robert Laverick
no flags Details

Description Robert Laverick 2009-10-04 11:07:24 UTC
Created attachment 363592 [details]
screenshot of messages that occur

Description of problem:
When installing it seems that the livecd tries to mount the file systems as they are created causing some popups which could do with being suppresed

Version-Release number of selected component (if applicable):
rawhide nightly 20091001.15

How reproducible:
always

Steps to Reproduce:
1.run anaconda to install from livecd to disc (20091001.15.i386)

  
Actual results:
The popups occur as pictured

Expected results:
the drives are not automounted by the live cd while being installed to

Additional info:
unable to mount 210 MB Filesystem
Not Authorized

x3

Authentication is required to mount the device
The DeviceKit Project

Comment 1 Chris Lumens 2009-10-05 13:08:39 UTC
Can you attach the output of ps -efw to this bug report so we can see what processes are running and with what arguments?

devicekit-disks is not supposed to be doing anything here.

Comment 2 Robert Laverick 2009-10-05 17:29:56 UTC
Created attachment 363721 [details]
ps -efw output

output just as the authorization message happens

Comment 3 Chris Lumens 2009-10-05 17:38:12 UTC
The --inhibit parameter is supposed to stop devicekit-disks from doing this.

Comment 5 David Zeuthen 2009-10-05 18:43:41 UTC
* Mon Oct 05 2009 David Zeuthen <davidz@redhat.com> - 007-2%{?dist}
- Actually inhibit the daemon (#527091)

... now to just figure out how to get this built :-/

Comment 6 David Zeuthen 2009-10-05 19:14:56 UTC
Fixed in DeviceKit-disks-007-4.fc12. Tag request:

https://fedorahosted.org/rel-eng/ticket/2337

Comment 7 David Zeuthen 2009-10-05 20:34:21 UTC
Package is now tagged. Closing. Thanks.


Note You need to log in before you can comment on or make changes to this bug.